AutoCAD .NET :: How To Get ObjectIdCollection Of All Entities In A Certain Layer

May 22, 2012

How could I get the ObjectIdCollection of all entities (points, polyline) in a certain layer?

I am using the following code at this moment.
 
private ObjectIdCollection GetEntitiesOnLayer(string layerName)
{
Editor ed = doc.Editor;
TypedValue[] tvs = new TypedValue[1] { new TypedValue((int)DxfCode.LayerName, layerName) };
SelectionFilter sf = new SelectionFilter(tvs);
PromptSelectionResult psr = ed.SelectAll(sf);

[code]....

But it seems the function fetches more ObjectId than I expected.For example, if I draw 3 points and 2 polylines in "A" layer.

ObjectIdCollection obc = GetEntitiesOnLayer("A");

int i = obc.Count;

I was expecting i to be 5 (3 points and 2 polylines), but i seems to be more than 5.

View 2 Replies


ADVERTISEMENT

AutoCAD .NET :: Select All Entities Of A Layer?

Oct 8, 2012

How to select all entites of a layer?

I want to migrate my VB code to VB.NET code, migrate the below code?
 
Private Function GetEntities(oLayerCollection As Collection, sSelectionSetName As String, _ Optional pointsList As Variant = Empty, _ Optional mode As AcSelect = acSelectionSetCrossingPolygon) As AcadSelectionSet Dim oSS As AcadSelectionSet

[Code].....

View 2 Replies View Related

AutoCAD .NET :: How To Apply Selection Filter On ObjectIDCollection

Dec 11, 2012

I wonder if its possible to apply a filter to a subset of entities (that could be the result of a previous filtering).

View 8 Replies View Related

AutoCAD VB :: Highlight Drawn Entities By Layer Name?

Oct 28, 2011

I have a drawing with two drawingentities.

a circle drawed in the layer named "layer01" and

a line drawed in the layer named "layer02"

Now I want a vba code that select (highlight) all drawn entities in layer01 and layer02.

View 7 Replies View Related

AutoCAD 2010 :: Passes All Entities To A Single Layer

Feb 8, 2013

I want to know if there is a command that passes all entities (lines, text, etc.) to a single layer, but that the institution holds the color and line style assigned according to the original layer that contained it.

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Select Non-solid Entities On Solid Layer

Mar 19, 2012

We have this need to have all of the solids in a drawing to be placed in the "solid" layer.

Sometimes folks are drafting lines to develop these solids, and keeping the lines on the "solid" layer, rather than moving them to another layer, or deleting them altogether.

I could get folks to run this command before leaving the drawing.

I'm thinking something along the lines of:

Select all entities that are on the solids layer that are not solids.

If nil, great, do nothing.

If entities are selected, let me do something with them.

I'm hoping the following can be modified ever so slightly.

 (setq non_solid (ssget "X" (list (cons 0 "3DSOLID")(cons 8 "solid"))))

View 4 Replies View Related

AutoCad :: DXF And Surface Entities?

Sep 23, 2011

looking for a way to read in the DXF data for a surface entity in AutoCAD2012. There's plenty on reading in simple objects (e.g. 3DFace, Points, etc.) but nothing on surfaces. The data itself is also not as intuitive as I would have hoped. The DXF reference PDF from AutoDesk shows 7 possible unique entries and the data I need is most likely stored in the proprietary data. So, in short I know where it is but how can I read it?

View 7 Replies View Related

AutoCAD .NET :: Dynamic Preview Of Entities

Sep 8, 2013

I have the dialog window with the settings for entities graphical appearance used in my plugin.

My goal is to create the same preview as AutoCAD dimension style manager dialog has, the dynamic thumbnail of the entities while user changes the settings in dialog.

Probably one option is to create temporary block (created based on data from settings dialog) and then use BlockTableRecord.PreviewIcon, but I am not sure if there is some other way.

View 2 Replies View Related

AutoCAD .NET :: Select Entities By Extent?

Oct 4, 2013

How do I select entities by extent. Let's suppose I have Lowerx ,lowery , upperx , uppery [174.76789855957,28.3978977203369 , 507.941253662109 ,112.090751647949 ]. How do I find entities who have these extents.

View 1 Replies View Related

AutoCAD .NET :: Select Nested Entities

Jan 3, 2013

I select all entities via Editor.SelectAll() method, but the nested entities (inside Blocks) are missing. Do I have to resolve them by iterating through all blocks afterwards or is there a Prompt Selection Option that can be set?

I don't want the user to select the entities, instead I loop through the whole drawing.

View 7 Replies View Related

AutoCAD .NET :: Find All Connected Entities?

Nov 6, 2013

I have a requirement to find all connected entities on a given line of a plant P&ID. In other words given a certain line or reference point the requirement is to 'walk the line' and list off all entities (with certain attributes and in order) that are connected on a line.

Now not having any experience with underlying object models and API's, whether A) this is possible B) which object model to use - I'm a bit confused as to which one to use.

View 1 Replies View Related

AutoCAD LT :: Plotting Proxy Entities

Feb 6, 2012

I received a drawing from an outside contractor that uses something with proxy entities.  I can see them just fine on the screen but when I try to plot the drawing they disappear.  It also came from a newer version so I had to use the DWG True View to convert it if that may have caused my issue. 

View 5 Replies View Related

AutoCAD .NET :: Hatch All Visible Entities

Feb 6, 2013

I'd like to automatically hatch all visible polygons of a drawing. My vision of how to solve this is basically:

- for each visible drawing do
- pick internal point 
- hatch
- end for

I'm having trouble by automatically picking an internal point inside the polygon. 

I've found these two methods : Crossing numbers and winding numbers [URL]....... but they don't seem to work if there are some polylines inside an polygon.

Is there another solution to my problem for automatically picking an internal point inside a polygon ? Can I automatically hatch an polygon without picking it's internal point ?

View 5 Replies View Related

AutoCAD .NET :: Entities Deselected - How To Keep Selection

Nov 27, 2013

My code takes the selected entities and reads out all the text of the attributes.

If no blocks are selected, the code prompts for a selection.

Unfortunately, by ending the transaction, the entitis are deselected.

So how to keep the selection, because it will be handled in a follow-up step.

Below a shortened code for the procedure:
 
private void Get_Text(){ Autodesk.AutoCAD.Internal.Utils.SetFocusToDwgView(); PromptSelectionResult sel = edt.SelectImplied(); if (sel.Status == PromptStatus.Error) { TypedValue[] auswahl_typ = new TypedValue[] { new TypedValue((int)DxfCode.Start, "INSERT") };

[Code] ......

View 1 Replies View Related

AutoCAD .NET :: Getting Current Selected Entities

Nov 26, 2012

I try to get all current entities for my own custom palette.

I tried it with ed.SelectionAdded and ed.SelectionRemoved but it doesn't work if I for example pressing ESC.

I want to get the Object Ids saved in a ObjectIdCollection and I don't want to run an autocad command every time.

View 1 Replies View Related

AutoCAD VB :: How To Move Hatch Entities

Nov 24, 2011

I wrote a program that trys to move all the entities in a dwg file by calculating a grid transformation for each point in each entity. For example to move a pline
  
Case Is = "AcDb2dPolyline"
                Set o2DP = oEnt
                retCoord = o2DP.Coordinates
                For j% = 0 To UBound(retCoord) Step 3
                     yaa# = retCoord(j%)
 
[Code]...

My problem is moving hatch entities. I haven't succeeded in finding equivalent code to move the hatch entities. I did find another post here, but I still don't get it.

View 6 Replies View Related

AutoCad :: Use Entities In A Drawing To Elevation 0

Aug 23, 2008

Just a follow up to the inquiry on the Flatten command. Is there a way to use set all entities in a drawing to elevation 0? like moving them all to Z=0 like the flatten command but all entities in one command including blocks, hatches, etc.

View 9 Replies View Related

AutoCad 3D :: The Selected Entities Are Not Valid

Jan 16, 2012

I'm trying to make a curved wall with different heights, but i can't manage to do the loft of the object. I keep getting "The selected entities are not valid."

I tried remaking all the little polylines but nothing seems to work..

View 9 Replies View Related

AutoCad 2D :: How To Trim Entities In Array

Jan 4, 2012

How can I trim entities in an array? I can make the array just fine, but I don't know why it won't let me trim them. I suppose it's trying to keep references to the array and the original entity that the array is based off of, but at this point I don't wish to keep that information.

View 5 Replies View Related

AutoCAD .NET :: Selecting Blocks / Entities

Jul 12, 2013

I have some blocks which are placed with some routines in VB.net and are linked by a unique code to a external data file (XML-file). I want to try to created a kind of propertybox (in a toolpalette) which indicate some of this external data values. If one of these values are changed (by changing the values in the propertybox), some routines need to be executed.

Is it possible when a object is selected (not during a command), to run a piece of code (VB.NET). I have found some basic principles about "overruling" but I'm not sure this is the correct/possible way to solve the problem and I'm not there yet.

View 4 Replies View Related

AutoCAD VB :: Populate A Listbox With Information From Entities

Nov 14, 2012

What i want to do is popluate a Listbox with with the area of previously selected Objects.This is what i have at the moment:

i = 0ListBox1.ColumnCount = 2For Each ssetOBJ In sset objarea = ssetOBJ.Area i = i + 1 With ListBox1 .AddItem .List(.ListCount - i, 0) = "Fläche" .List(.ListCount - i, 1) = objarea End With Next.

 But the code only writes the area of the last Object in the first Row of the Listbox.I think in the FOR EACH Expression the variable "i" pass always "1" for the Row Number.

View 2 Replies View Related

AutoCAD Architecture :: Setting Classification For Entities

Oct 17, 2013

I'm try to set a classification for a list of objects with .net. I'va found some discussions regarding changing and iterating classification trees, but none setting the classification for entites, similar to selecting a classification in ui.

View 1 Replies View Related

AutoCAD Inventor :: Ordinate Dim To Sketch Entities

Feb 20, 2012

We're having a problem with Ordinate dimensions.  When we dimension to a radius corner, we dim to the "implied intersection" of the two lines, rather than to the center of the radius.  We make a sketch with the two "tick marks", then dim to the intersection of the tick marks. 

Ordinate dimensions are not allowing us to pick the intersection:  it wants to put two (or three) dimensions, one to each end of one or the other tick marks (see attached).  We use Ordinate dims about once a year, but I'm sure I remember being able to ordinate dimension to the tick marks. 

View 5 Replies View Related

AutoCAD .NET :: Accessing Entities On Paperspace Layouts

Dec 13, 2012

I'm trying to rewrite some old VBA code into VB.net (which I'm not even Novice level yet), and I'm stumped on what would be a fairly simple principle (in VBA)..
 
For Each BlockDef in ThisDrawing.blocks If Left(BlockDef.name, 12) = "*Paper_Space" then Select Case True Case BlockDef.Layout.Name Like "*Test*" blah blah End Select End IfNext
Essentially conditional manipulation of paperspace elements depending on the layout name.

 The following fragment allows me to recurse through entities in paperspace, but I've no idea which layout tab..
 
Dim BlkPaperSpc As BlockTableRecord = ScanTrans.GetObject(BlkTab _(BlockTableRecord.PaperSpace), OpenMode.ForWrite)For Each AcObjId As ObjectId In BlkPaperSpc Dim PspaceObj As String = AcObjId.ObjectClass.NameNext
 
What I need to do is to be able to identify a type of object (a table), confirm it's location, delete it and replace it with another one, depending on which layout tab it's on.
 
ACad, MEP, 3DS Max
Windows 7x64
X5482 @3.2Ghz 8Gb Ram
Quadro FX1700

View 2 Replies View Related

AutoCAD 2010 :: Proxy Entities In Drawing

Sep 3, 2013

I recently received an autocad drawing with a number proxy entities in it. They exploded ok. However by exploding them am I losing any properties that may be useful. And what really are proxy entities?

View 7 Replies View Related

AutoCAD Map 3D :: Selected Acdb Entities Not Connected

Jun 21, 2012

I am editing a shape file and have encountered a warning which reads "The selected acdb entities are not connected". How to check which entity this warning is trying to connect to?

View 4 Replies View Related

AutoCAD .NET :: Selecting Entities In Multiple Layers

Jan 15, 2013

Is it possible to select entities of multiple layers?

I've looked at... [URL] .....

...and tried the following code.
 
string[] layerNames = {"1", "2", "3"};TypedValue[] tdv = new TypedValue[(layerNames.Length * 3) + 2];int i = 0;tdv[i++] = new TypedValue((int)DxfCode.Operator, "<or");foreach (string ln in layerNames){ tdv[i] = new TypedValue((int)DxfCode.Operator, "<and"); tdv[i + 1] = new TypedValue((int)DxfCode.LayerName, ln); tdv[i + 2] = new TypedValue((int)DxfCode.Operator, "and>"); i += 3;}tdv[i - 2] = new TypedValue((int)DxfCode.Operator, "or>");SelectionFilter sf = new SelectionFilter(tdv);PromptSelectionResult psr = ed.SelectAll(sf);
 This code gives me an error in the PromptSelectionResult.

What would cause the erro?

View 1 Replies View Related

AutoCAD .NET :: Draw A Border Around All Entities In Drawing

Jun 21, 2013

I am trying to make a button such that if the user clicks it, AutoCAD will automatically draw a border that just includes all entities in the drawing.(Something) like the viewport border in the paper space)

Approach #1: The first approach could be zoom extent and draw a border around the zoomed view. how to zoom extent and draw a polyline, but can't figure out the exact size of zoomed view.

Approach #2 (optimal) : If the entity is a right circle and my AutoCAD window is not in square shape (for example, the AutoCAD window is maximized and my monitor is wide-screen monitor), Approach #1 will create redundant spaces at the right and left side of the circle entity. So if I could get the grid coordinate of far left, far right, top, and bottom entities, I can draw the optimal border around all entities in the drawing.

View 9 Replies View Related

AutoCAD .NET :: Filter Out Frozen Entities From A Selection?

Sep 28, 2011

I'm using a typed value list to create a  selection filter to use with Editor.SelectAll(filter) method. The selection returns both frozen & un-frozen entities. Is there a way to filter out frozen objects using the filter?

View 2 Replies View Related

AutoCAD 2013 :: Selecting Entities - How To Close

Nov 21, 2012

I am missing entities when I try to pick on them.Not window, not crossing. Just trying to pick an entity. I usually select entities first before my command.

Is there a variable that might have changed?  I played with PICKBOX & APERTURE but this doesn't change anything when I try to select something. I can have the entity in the box right next to the intersection of the crosshairs and instead of selecting the entity it starts to window.

I have a logitech m705 mouse w/ setpoint software ver 6.32.7 & driver ver 5.33.14 installed.

View 6 Replies View Related

AutoCAD Civil 3D :: Snap To Profile Entities

Mar 23, 2012

Is there a way to get osnaps to work on pofile entities, specifically the internal grid lines and the proposed profile line? 

View 3 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved